package com.oo.eye.activity;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.app.baselibrary.base.common.BaseActivity;
import com.oo.eye.EyeConfig;
import com.oo.eye.R;
import com.oo.eye.adapter.TestListAdapter;
import com.oo.eye.bean.StudentBean;

import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/**
 * Date : 2018/8/28.
 * Author:  cxh
 */

public class TestListActivity extends BaseActivity {
    @BindView(R.id.ddd)
    LinearLayout mDdd;
    @BindView(R.id.begin_test)
    TextView mBeginTest;
    @BindView(R.id.recycle_view)
    RecyclerView mRecycleView;

    @Override
    protected int getLayoutId() {
        return R.layout.activity_testlist;
    }

    @Override
    protected void init() {
        mRecycleView.setLayoutManager(new LinearLayoutManager(this));
        List<StudentBean> list = EyeConfig.getInstance().getStudents();
        mRecycleView.setAdapter(new TestListAdapter(list, this));
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        // TODO: add setContentView(...) invocation
        ButterKnife.bind(this);
    }

    @OnClick({R.id.back_iv, R.id.begin_test})
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.back_iv:
                finish();
                break;
            case R.id.begin_test:
                Intent intent = new Intent(this, EyeTestActivity.class);
                startActivity(intent);
                break;
        }
    }
}
